weka.core.pmml.jaxbbindings

## Enum MININGFUNCTION

- java.lang.Object
- - java.lang.Enum<MININGFUNCTION>
  - - weka.core.pmml.jaxbbindings.MININGFUNCTION

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MININGFUNCTION>

      public enum MININGFUNCTION
      extends java.lang.Enum<MININGFUNCTION>

  Java class for MINING-FUNCTION.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="MINING-FUNCTION">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="associationRules"/>
           <enumeration value="sequences"/>
           <enumeration value="classification"/>
           <enumeration value="regression"/>
           <enumeration value="clustering"/>
           <enumeration value="timeSeries"/>
           <enumeration value="mixed"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASSOCIATION_RULES`
    `CLASSIFICATION`
    `CLUSTERING`
    `MIXED`
    `REGRESSION`
    `SEQUENCES`
    `TIME_SERIES`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MININGFUNCTION` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static MININGFUNCTION` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MININGFUNCTION[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASSOCIATION_RULES

          public static final MININGFUNCTION ASSOCIATION_RULES

    - #### CLASSIFICATION

          public static final MININGFUNCTION CLASSIFICATION

    - #### CLUSTERING

          public static final MININGFUNCTION CLUSTERING

    - #### MIXED

          public static final MININGFUNCTION MIXED

    - #### REGRESSION

          public static final MININGFUNCTION REGRESSION

    - #### SEQUENCES

          public static final MININGFUNCTION SEQUENCES

    - #### TIME_SERIES

          public static final MININGFUNCTION TIME_SERIES

  - ### Method Detail

    - #### values

          public static MININGFUNCTION[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MININGFUNCTION c : MININGFUNCTION.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MININGFUNCTION valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static MININGFUNCTION fromValue(java.lang.String v)